namespace THEasy.DB.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class matteo1 : DbMigration
    {
        public override void Up()
        {
            AddColumn("dbo.User", "IsDisabled", c => c.Boolean(nullable: false));
            AddColumn("dbo.User", "LockoutDate", c => c.DateTimeOffset(nullable: false, precision: 7));
            AddColumn("dbo.User", "ChangePasswordNextLogon", c => c.Boolean(nullable: false));
            AddColumn("dbo.User", "AccessFailedCount", c => c.Int(nullable: false));
            AlterColumn("dbo.User", "FirstName", c => c.String(nullable: false));
            AlterColumn("dbo.User", "LastName", c => c.String(nullable: false));
        }
        
        public override void Down()
        {
            AlterColumn("dbo.User", "LastName", c => c.String());
            AlterColumn("dbo.User", "FirstName", c => c.String());
            DropColumn("dbo.User", "AccessFailedCount");
            DropColumn("dbo.User", "ChangePasswordNextLogon");
            DropColumn("dbo.User", "LockoutDate");
            DropColumn("dbo.User", "IsDisabled");
        }
    }
}
