﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace THEasy.Model
{
    [Table("ACL")]
    public class ACL
    {
        [Key]
        public int Id { get; set; }

        public int IdObject { get; set; }
        [ForeignKey("IdObject")]
        public EntityObject Object { get; set; }

        public int? IdUser { get; set; }

        [ForeignKey("IdUser")]
        public User User { get; set; }

        public int? IdGroup { get; set; }

        [ForeignKey("IdGroup")]
        public Group Group { get; set; }

        public DateTime DateFrom { get; set; }
        public DateTime? DateTo { get; set; }

        public bool Create { get; set; }
        public bool Read { get; set; }
        public bool Update { get; set; }
        public bool Delete { get; set; }

    }
}
