﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace THEasy.Model
{
    [Table("Group")]
    public class Group
    {
        [Key]
        public int Id { get; set; }

        [Required]
        [StringLength(50)]
        public string Name { get; set; }

        public bool IsDeleted { get; set; }

        public int? IdParent { get; set; }
        public Group Parent { get; set; }

        public virtual ICollection<User> Users { get; set; }

        public virtual ICollection<Group> Childs { get; set; }

        public virtual ICollection<ACL> ACLs { get; set; }
    }
}
