﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using THEasy.Model;

namespace THEasy.DB
{
    public class THEasyEntities: DbContext
    {
        public THEasyEntities()
            : base("THEasyEntities")
        {
            Configuration.LazyLoadingEnabled = false;
            Configuration.ProxyCreationEnabled = false;
            //Database.SetInitializer(new DropCreateDatabaseIfModelChanges<PioneerEntities>());
        }

        public virtual DbSet<User> Users { get; set; }
        public virtual DbSet<Group> Groups { get; set; }

        public virtual DbSet<Model.EntityObject> Objects { get; set; }
        public virtual DbSet<Access> Accesses { get; set; }
        public virtual DbSet<ACL> ACLs { get; set; }

    }
}
