﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace THEasy.Model
{
    [Table("Access")]
    public class Access
    {
        [Key]
        public int Id { get; set; }
        public int IdObject { get; set; }
        [ForeignKey("IdObject")]
        public EntityObject Object { get; set; }
        public int IdUser { get; set; }
        [ForeignKey("IdUser")]
        public User User { get; set; }

        public DateTime DateFrom { get; set; }
        public DateTime? DateTo { get; set; }

        public bool CanEnter { get; set; }
        public bool IsSuspect { get; set; }
        public bool IsBlocked { get; set; }
    }
}
