﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace THEasy.Model
{
    [Table("UserGroups")]
    public class UserGroups
    {
        [Key]
        [Column(Order = 0)]
        public int IdUser { get; set; }

        [ForeignKey("IdUser")]
        public User User { get; set; }

        [Key]
        [Column(Order = 1)]
        public int IdGroup { get; set; }

        [ForeignKey("IdGroup")]
        public Group Group { get; set; }
    }
}
