﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Web;
using System.Web.Mvc;

namespace THEasy.Controllers
{
    public class UsersController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public async Task<ActionResult> UserInformationAD(string username)
        {
            using (var client = new AuthenticationClient())
            {
                var tmp = await client.GetUserInformationAsync(username);
                return Json(tmp);
            }
        }
    }
}